# post-processing statements for abaqus job
# run as: abaqus python this_script_name.py job_name 

import sys
sys.path.append("./lib")

import os
from libabaqus_python import *

jobName=sys.argv[1]
jobFile="jobs/"+jobName+"/"+jobName+".odb"

pwd=os.getcwd()

for step in ["statics0"]:

# report force-displacements data
	reportForceDisplacement(jobFile,stepName=step,
		instanceName="ASSEMBLY",setName="QQ",setType="root",parameter="U2") 
	reportForceDisplacement(jobFile,stepName=step,
		instanceName="ASSEMBLY",setName="QQ",setType="root",parameter="RF2") 

# report contact area 
	reportCArea(jobFile,stepName=step) 

# report contact pressure 
	reportCPress(jobFile,stepName=step,instanceName="PARTICLEINSTANCE") 
	reportCPress(jobFile,stepName=step,instanceName="INDENTERINSTANCE") 

# report stress along x-axis 
	reportComponentFromFieldRequest(jobFile,stepName=step,
		field="S",fComp=1,instanceName="PARTICLEINSTANCE",
		setName="XAXIS",setType='part',frames=[])
	reportComponentFromFieldRequest(jobFile,stepName=step,
		field="S",fComp=2,instanceName="PARTICLEINSTANCE",
		setName="XAXIS",setType='part',frames=[])
	reportComponentFromFieldRequest(jobFile,stepName=step,
		field="S",fComp=3,instanceName="PARTICLEINSTANCE",
		setName="XAXIS",setType='part',frames=[])
	reportComponentFromFieldRequest(jobFile,stepName=step,
		field="S",fComp=4,instanceName="PARTICLEINSTANCE",
		setName="XAXIS",setType='part',frames=[])
# first principal stress
	reportMaxPrincipal(jobFile,stepName=step,
   		field="S",value="maxPrinc",
	   	instanceName="PARTICLEINSTANCE",setName="XAXIS",
   		frames=[])

# report stress along y-axis 
	reportComponentFromFieldRequest(jobFile,stepName=step,
		field="S",fComp=1,instanceName="PARTICLEINSTANCE",
		setName="YAXIS",setType='part',frames=[])
	reportComponentFromFieldRequest(jobFile,stepName=step,
		field="S",fComp=2,instanceName="PARTICLEINSTANCE",
		setName="YAXIS",setType='part',frames=[])
	reportComponentFromFieldRequest(jobFile,stepName=step,
		field="S",fComp=3,instanceName="PARTICLEINSTANCE",
		setName="YAXIS",setType='part',frames=[])
	reportComponentFromFieldRequest(jobFile,stepName=step,
		field="S",fComp=4,instanceName="PARTICLEINSTANCE",
		setName="YAXIS",setType='part',frames=[])

# first principal stress  
	reportMaxPrincipal(jobFile,stepName=step,
		field="S",value="maxPrinc",
		instanceName="PARTICLEINSTANCE",setName="YAXIS",
		frames=[])





os.chdir(pwd)


